This repo represents all my typescript knowledge till now.

It can be used as a reference and a helping guide for all that want to start with typescript, since it is collecting my progress while learning it.